Subject: RE: Unnumbered links in non-GMPLS scenario

From: "Naidu, Venkata" <[email-masked]>
Date: Tue, 12 Feb 2002 10:41:41 -0500

Senthil:

-> If the vendor/carrier is willing to use static mapping and 
-> flood out the
-> mapping using the GMPLS extn to OSPF, then there isn't any 
-> issue w.r.t.
-> support for multiple unnumbered intfs.

  Glad that we are in sync.
 
-> But, the way I read the question, it sounded like he/she 
-> didn't want to run GMPLS, but still needed to be able to 
-> support unnumbered interfaces for MPLS. In this case, 
-> there is no LMP, no GMPLS extns, only katz-yeung/li-schmidt 
-> extns.
-> 
-> Here manual configuration is ok for the local routers 
-> sharing multiple unnumbered interfaces, but there is no 
-> mechanism to flood out this mapping to remote nodes.

  IF we want to support a feature, there is no requirement
  that we got to support the whole draft (where that feature
  is defined).

-> This is due to the implicit (and unstated) requirement that 
-> some subset of GMPLS extensions be used to support unnumbered 
-> interfaces (even for "regular" MPLS).

  Here we go...I would like to clear some *unspecified* but
  assumed things. Supporting unnumbered links is no way related
  to just GMPLS draft (they are common to GMPLS/MPLS). But authors 
  combined those TLVs because they are related to LMP IF_IDs. 

  I already suggested, LMP may not be required to support
  Unnumbered Links. Just static configuration of IF_IDs in adjacent
  routers will do the job pretty well. LMP does more things than 
  just IF_IDs.

  I already raised this question long back (my last bullet in...)
  http://cell-relay.indiana.edu/mhonarc/mpls/2001-Sep/msg00268.html
  Here is an example where feature to draft mapping in not appropriate.

Venkata Naidu.

This e-mail and any attachments are confidential. If you are not the
intended recipient, please notify us immediately by reply e-mail and then
delete this message from your system. Do not copy this e-mail or any
attachment, use the contents for any purposes, or disclose the contents to
any other person: to do so could be a breach of confidence.